# class toTemplate | Not part of the API. More...
Definition | `#include <totemplate.h>`
Inherits | QVBox (qt) [public ], toHelpContext [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toTemplate (QWidget *parent)
- virtual ~toTemplate ()
- void setWidget (QWidget *widget)
- QWidget * widget (void)
- QWidget * frame (void)
- virtual bool canHandle (toConnection &conn)

#### Public Slots

- void expand (QListViewItem *item)
- void collapse (QListViewItem *item)

#### Public Static Methods

- static QWidget * parentWidget (QListViewItem *item)
- static toTemplate * templateWidget (QListViewItem *item)
- static toTemplate * templateWidget (QListView *obj)

## Detailed Description

Not part of the API.

toTemplate (QWidget *parent) | ### toTemplate

~toTemplate () | ### ~toTemplate

[virtual]

void setWidget (QWidget *widget) | ### setWidget

QWidget * widget (void) | ### widget

QWidget * frame (void) | ### frame

QWidget * parentWidget (QListViewItem *item) | ### parentWidget

[static]

toTemplate * templateWidget (QListViewItem *item) | ### templateWidget

[static]

toTemplate * templateWidget (QListView *obj) | ### templateWidget

[static]

bool canHandle (toConnection &conn) | ### canHandle

[virtual]

void expand (QListViewItem *item) | ### expand

[slot]

void collapse (QListViewItem *item) | ### collapse

[slot]